Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OBV_TAO_Default_ORT::ObjectReferenceTemplate Class Reference

`#include <Default_ORTC.h>`

Inheritance diagram for OBV_TAO_Default_ORT::ObjectReferenceTemplate:

[legend]
Collaboration diagram for OBV_TAO_Default_ORT::ObjectReferenceTemplate:

[legend]
List of all members.

## Protected Methods
| ObjectReferenceTemplate (void)
virtual | ~ObjectReferenceTemplate (void)
virtual CORBA::Boolean | _tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_OutputCDR &)
virtual CORBA::Boolean | _tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_InputCDR &)
CORBA::Boolean | _tao_marshal_state (TAO_OutputCDR &)
CORBA::Boolean | _tao_unmarshal_state (TAO_InputCDR &)

## Constructor & Destructor Documentation

OBV_TAO_Default_ORT::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | void |  | ) | `[protected]`

| Reimplemented from TAO_Default_ORT::ObjectReferenceTemplate.

OBV_TAO_Default_ORT::ObjectReferenceTemplate::~ObjectReferenceTemplate | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Default_ORT::ObjectReferenceTemplate.

## Member Function Documentation

CORBA::Boolean OBV_TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_OutputCDR & |  | ) | `[protected, virtual]`

| Implements TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean OBV_TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal_state | ( | TAO_OutputCDR & |  | ) | `[protected]`

CORBA::Boolean OBV_TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_InputCDR & |  | ) | `[protected, virtual]`

| Implements TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean OBV_TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal_state | ( | TAO_InputCDR & |  | ) | `[protected]`

The documentation for this class was generated from the following files:

- Default_ORTC.h
- Default_ORTC.cpp